com.informix.jdbc

## Class IfxPAMResponse

- java.lang.Object
- - com.informix.jdbc.IfxPAMResponse

    public class IfxPAMResponse
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `challengeResponse`
`protected short` `challengeResponseType`
`static short` `PAM_MAX_MESSAGE_SIZE`
`static short` `PAM_RESPONSE_TYPE_UNKNOWN`
`protected boolean` `terminateConnection`

### Constructor Summary

Constructors
Constructor and Description
`IfxPAMResponse()`
`IfxPAMResponse(java.lang.String response, short type)`

### Method Summary

Methods
`java.lang.String` `getResponse()`
`short` `getResponseType()`
`boolean` `getTerminateConnection()`
`void` `setResponse(java.lang.String response)`
`void` `setResponseType(short responseType)`
`void` `setTerminateConnection(boolean value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PAM_RESPONSE_TYPE_UNKNOWN

    public static final short PAM_RESPONSE_TYPE_UNKNOWN

See Also:
  Constant Field Values

#### PAM_MAX_MESSAGE_SIZE

    public static final short PAM_MAX_MESSAGE_SIZE

See Also:
  Constant Field Values

#### challengeResponse

    protected java.lang.String challengeResponse

#### challengeResponseType

    protected short challengeResponseType

#### terminateConnection

    protected boolean terminateConnection

### Constructor Detail

#### IfxPAMResponse

    public IfxPAMResponse()

#### IfxPAMResponse

    public IfxPAMResponse(java.lang.String response,
                  short type)

### Method Detail

#### getTerminateConnection

    public boolean getTerminateConnection()

#### setTerminateConnection

    public void setTerminateConnection(boolean value)

#### getResponse

    public java.lang.String getResponse()

#### setResponse

    public void setResponse(java.lang.String response)

#### getResponseType

    public short getResponseType()

#### setResponseType

    public void setResponseType(short responseType)